package es.verdnatura.domain

import android.content.Context
import es.verdnatura.presentation.common.InteceptorListener

open class RestClient(context: Context, myObserver: InteceptorListener? = null) {
    var restClient: VerdnaturaService
    var salixClient: SalixService

    init {
        restClient = ApiUtils.getApiService(context, myObserver)
        salixClient = ApiSalixUtils.getApiService(context, myObserver)
    }
}